{
  "name": "@itentialopensource/microsoft-teams-rest",
  "author": "Itential Automation Platform",
  "version": "1.0.5",
  "description": "Project for use cases around Microsoft Teams using REST protocol",
  "scripts": {
    "setup-hooks": "sh ./scripts/setup-hooks.sh",
    "test": "echo \"Error: no test specified\" && exit 1",
    "deploy": "echo not needed npm publish --access=public --registry=http://registry.npmjs.org",
    "validateSchema": "node test/manifestTester.js manifest.json manifest-schema.json",
    "validateSchemaLinks": "node test/manifestLinkTester.js manifest.json",
    "generateImageLinks": "node utils/generateImageLinks.js",
    "junit-merge": "npx junit-merge -d test/cypress/reports/junit -o test/cypress/reports/junit/junit-results.xml",
    "test:integration": "cypress run --config-file ./test/cypress.json --spec \"./test/cypress/integration/cypressTests.spec.js\"",
    "cypress:open": "cypress open --config-file ./test/cypress.json"
  },
  "keywords": [
    "Itential",
    "IAP"
  ],
  "license": "Apache-2.0",
  "devDependencies": {
    "@itential-tools/iap-cypress-testing-library": "^4.3.0-alpha.3",
    "ajv": "6.10.0",
    "better-ajv-errors": "^0.6.1",
    "cypress": "^9.7.0",
    "cypress-failed-log": "^2.9.5",
    "cypress-mochawesome-reporter": "^3.2.0",
    "cypress-multi-reporters": "^1.6.1",
    "fs-extra": "^7.0.1",
    "junit-report-merger": "^4.0.0",
    "mocha": "^10.0.0",
    "mocha-junit-reporter": "^2.0.2",
    "r2": "^2.0.1"
  },
  "IAPDependencies": {
    "@itential/app-operations_manager": "",
    "@itential/app-json_forms": "1.14.10",
    "@itential/app-workflow_engine": "7.14.4",
    "@itentialopensource/adapter-msteams": "^0.3.4"
  },
  "IAPCategories": [],
  "repository": {
    "type": "gitlab",
    "hostname": "gitlab.com",
    "path": "itentialopensource/pre-built-automations"
  }
}
